%define name snes9x
%define version 1.50
%define distsuffix plf
%define release %mkrel 1
%define buildfor_mdk82  %(awk '/^Mandrake / {print ($4 <= "8.2") } /^Mandrakelinux/ {print (0)} /^Mandriva/ {print (0)}' %{_sysconfdir}/mandrake-release)
%if %buildfor_mdk82
%define with_svga 1
%else
%define with_svga 0
%endif
%{?_with_svga: %{expand: %%define with_svga 1}}
%{?_without_svga: %{expand: %%define with_svga 0}}

Summary: Super NES emulator
Name: %{name}
Version: %{version}
Release: %{release}
Group: Emulators
License: BSD-style
URL: http://www.snes9x.com/
#Source0: http://www.lysator.liu.se/snes9x/%{version}/%{name}-%{version}-src.tar.bz2
Source0: http://files.ipherswipsite.com/%{name}/%{name}-1.5-src.tar.bz2
#Source1: %{name}.Makefile.ppc.bz2
#Patch: %{name}.compile-no_long_long.patch.bz2
BuildRoot: %{_tmppath}/%{name}-root
%ifarch %ix86
BuildRequires: nasm, zlib1-devel
%else
BuildRequires:  zlib1-devel
%endif
BuildRequires: XFree86-devel
Provides: snes9x-common
Obsoletes: snes9x-common
Provides: snes9x-X
Obsoletes: snes9x-X
Provides: snes9x-binary

%description
Snes9X is a portable, freeware Super Nintendo Entertainment System (SNES)
emulator. It basically allows you to play most games designed for the SNES
and Super Famicom Nintendo game systems on your PC or Workstation.

This package is in PLF because of Mandriva policy concerning console 
emulators and related tools.

%if %with_svga
%package SVGA
Group: Emulators
Summary: SVGAlib version of the Super NES Emulator 
BuildRequires: libsvgalib1-devel
Provides: snes9x-common
Obsoletes: snes9x-common
Provides: snes-binary

%description SVGA
Snes9X is a portable, freeware Super Nintendo Entertainment System (SNES)
emulator. It basically allows you to play most games designed for the SNES
and Super Famicom Nintendo game systems on your PC or Workstation.

This version uses svgalib for graphics output.

This package is in PLF because of Mandriva policy concerning console
emulators and related tools.
%endif


%prep

%setup -q -n %{name}-1.5-src

%ifarch %ix86
%configure --with-mcpu=pentiumpro
%else
%configure
%endif

#bzcat %{SOURCE1} > Makefile.ppc
#%patch 

%build
%ifarch ppc
%make -f Makefile.ppc snes9x
%else
%make #snes9x
%endif

%if %with_svga
%make ssnes9x
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 snes9x $RPM_BUILD_ROOT%{_bindir}

%if %with_svga
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 ssnes9x $RPM_BUILD_ROOT%{_bindir}
%endif

%files 
%attr(-,root,root) %doc doc/*
%attr(755,root,root) %{_bindir}/%{name}

%if %with_svga
%files SVGA
%attr(-,root,root) %doc doc/*
%attr(755,root,root) %{_bindir}/s%{name}
%endif

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Fri Jul 14 2006 Guillaume Bedot <littletux@zarb.org> 1.5-1plf2007.0
- 1.5
- fix plf reason
- mkrel
- move binary to bindir

* Sun Jan 23 2005 Guillaume Bedot <littletux@zarb.org> 1.43-1plf
- New release 1.43
- rpmbuildupdate aware
- some specs fixes

* Mon Apr 26 2004 Guillaume Bedot <littletux@zarb.org> 1.42-1plf
- update to 1.42

* Sat Jul 26 2003 Michael Scherer <scherer.michael@free.fr> 1.39-10plf 
- fix compilation ( added -Wno-long-long to CFLAGS, patch #0 )

* Tue Jun  3 2003 Gtz Waschk <goetz@plf.zarb.org> 1.39-9plf
- fix buildrequires

* Tue Feb 18 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.39-8plf 
- cleanup
- From Ernst Persson <ernstp@mac.com>
	- Updated for PPC compability


* Tue Jan 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.39-6plf
- remerge -6 change with -5
- reupload the src (was flying in space)
- rebuild

* Sat Sep 14 2002 David Walluck <david@anti-microsoft.org> 1.39-6plf
- 'Provides: snes-binary' should be 'Provides: snes9x-binary'

* Thu Sep 12 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.39-5plf
- add a --with svga option for conditional svgalib build

* Tue Sep 10 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.39-4plf
- build with svgalib support on mandrake 8.2

* Sat Sep 07 2002 David Walluck <david@anti-microsoft.org> 1.39-3plf
- add 'Provides: snes-binary' to fix GSnes dependency (we could make GSnes
  depend on snes9x now that the svgalib package is removed, but this way 
  is backwards-compatible with old releases)

* Fri Aug 16 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.39-2plf
- merge common and X package
- disable svgalib package

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 1.39-2plf
- cleanup

* Mon Apr 22 2002 David Walluck <david@anti-microsoft.org> 1.39-1plf
- release
